Subject: Re: Scripting Installs?
From: Keith Starsmeare <[email-masked]>
To: Glenn Sieb <[email-masked]>
Cc: Cygwin Mailing List <[email-masked]>
Date: Wed, 30 Jan 2002 14:21:02 +0000

On 2002.01.29 16:46 Glenn Sieb wrote:

> I want to know if I can do the following:
> 
> Script the install so it does the following:
> 
> Force the install to pick packages up from *our* server (for version 
> control purposes, we don't want one sales guy installing and getting 
> OpenSSH version 2.a and another to get 2.b or 2.c), and gives no other 
> options for the user. (Something like: setup.exe 
> http://server.lumeta.com/cygwin)
> 
> Tell the install "Ok bud--*these* are the packages you install. No more,
> no 
> less. Don't ask. Just do it!"
> 
> I appreciate all your help, guys--I love the product and we're looking 
> forward to getting a lot of use out of it! :)

This is the sort of thing I was hoping to do for my collegues. I'm
implementing command line options for the setup program, with the goal of
being able to email people a shortcut to a setup.exe on a shared drive with
the options needed to install/update just what they needed from a
mini-mirror site (i.e. use setup to download to a shared folder).

I'm still working on it (see archives of the cygwin-apps and cygwin-patches
mail lists), but I haven't got a lot of time for this project at the
moment. If anyone wants to help out I am willing to coordinate!

Keith

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/